/* GNOME DB components libary
 * Copyright (C) 1999 Rodrigo Moya
 *
 * This Library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This Library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this Library; see the file COPYING.LIB.  If not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
 
#if !defined(__gnome_db_window_h__)
#  define __gnome_db_window_h__

#include <libgnome/gnome-defs.h>
#include <libgnomeui/libgnomeui.h>
#include <bonobo/bonobo-ui-component.h>
#include <bonobo/bonobo-win.h>

BEGIN_GNOME_DECLS

#define GNOME_DB_TYPE_WINDOW            (gnome_db_window_get_type())
#define GNOME_DB_WINDOW(obj)            GTK_CHECK_CAST(obj, GNOME_DB_TYPE_WINDOW, GnomeDbWindow)
#define GNOME_DB_WINDOW_CLASS(klass)    GTK_CHECK_CLASS_CAST(klass, GNOME_DB_TYPE_WINDOW, GnomeDbWindowClass)
#define GNOME_DB_IS_WINDOW(obj)         GTK_CHECK_TYPE(obj, GNOME_DB_TYPE_WINDOW)
#define GNOME_DB_IS_WINDOW_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GNOME_DB_TYPE_WINDOW))

typedef struct _GnomeDbWindow      GnomeDbWindow;
typedef struct _GnomeDbWindowClass GnomeDbWindowClass;

typedef struct _GnomeDbWindowPrivate GnomeDbWindowPrivate;

struct _GnomeDbWindow {
	BonoboWindow          window;
	GnomeDbWindowPrivate* priv;
};

struct _GnomeDbWindowClass {
	BonoboWindowClass parent_class;
  
	void              (*close)(GnomeDbWindow *window);
};

GtkType            gnome_db_window_get_type         (void);

GtkWidget*         gnome_db_window_construct        (GnomeDbWindow *window,
                                                     const gchar *name,
						     const gchar *app_prefix,
                                                     const gchar *ui_xml_file,
						     BonoboUIVerb *verbs,
                                                     gpointer data);
GtkWidget*         gnome_db_window_new              (const gchar *name,
						     const gchar *app_prefix,
                                                     const gchar *ui_xml_file,
						     BonoboUIVerb *verbs,
                                                     gpointer data);
void               gnome_db_window_close            (GnomeDbWindow *window);
void               gnome_db_window_show             (GnomeDbWindow *window);

GtkWidget*         gnome_db_window_get_contents     (GnomeDbWindow *window);
void               gnome_db_window_set_contents     (GnomeDbWindow *window, GtkWidget *contents);
void               gnome_db_window_set_status       (GnomeDbWindow *window, const gchar *status);

Bonobo_UIContainer gnome_db_window_get_ui_container (GnomeDbWindow *window);

END_GNOME_DECLS

#endif
